<?php

	$session = $this->getSession();
$registry = $this->getRegistry();

// appel fichier internalisation
$i18n = $this->getRegistry()->get('i18n');
$filter_html = new Yab_Filter_Html();
$filter_no_html = new Yab_Filter_NoHtml();

$pager = new Yab_Helper_Pager($us_posterieurs, 'pager_us_anterieur');
// $us_posterieurs = $pager->getStatement();

?>


<table class="table table-striped table-bordered table-hover table-condensed table-responsive table-panel">
	<thead>
	<tr>
		<th class="col-<?php echo $form_superposition->getElement('posterieur_id')->get('id'); ?>"
			champs="<?php echo $form_superposition->getElement('posterieur_id')->get('id'); ?>">
			<?php echo $filter_html->filter( $i18n -> say('identification')) ; ?>
		</th>
		<th class="col-<?php echo $form_superposition->getElement('incertitude')->get('id'); ?>"
			champs="<?php echo $form_superposition->getElement('incertitude')->get('id'); ?>">
			<?php echo $filter_html->filter( $i18n -> say('incertitude')) ; ?>
		</th>
		<th class="col-<?php echo $form_superposition->getElement('sptype_id')->get('id'); ?>"
			champs="<?php echo $form_superposition->getElement('sptype_id')->get('id'); ?>">
			<?php echo $filter_html->filter( $i18n -> say('type')) ; ?>
		</th>

		<?php if ($v_action) { ?>
		<th class="col-action">
			<?php echo $filter_html->filter( $i18n -> say('action')) ; ?>
		</th>
		<?php } ?>
	</tr>
	</thead>
	<tbody>
	<?php 
		foreach($us_posterieurs as $us_posterieur):
			$posterieur_id = $us_posterieur->get('posterieur_id');
	$observation =	$us_posterieur->get('observation', $filter_html);
	$incertitude = $us_posterieur->get('incertitude' );
	?>
	<tr class="table-relation-row">
		<td class="table-row-data">
			<a href="<?php echo $this->getRequest('Us', 'show', array($us_posterieur->get('posterieur_id'))); ?>" target="_blank">
				<?php echo $us_posterieur->get('us_post_identification', $filter_html); ?>
			</a>
		</td>
		<td class="table-row-data">
			<?php if (!empty($incertitude) ) { ?>
			<span class="glyphicon glyphicon-ok"></span>
			<?php } ?>
		</td>
		<td class="table-row-data"><?php echo $us_posterieur->get('sptype', $filter_html); ?></td>
		<?php if ($v_action) { ?>
		<td><a href="#" class="del-row-button"><span class="glyphicon glyphicon-remove-circle danger" style="font-size: 18px;" alt="Supprimer" title="Supprimer"></span></a></td>
		<?php } ?>
		<input type="hidden" champs="<?php echo $form_superposition->getElement('posterieur_id')->get('id') ?>" value="<?php echo $us_posterieur->get('posterieur_id' )?>"
			   val="<?php echo $us_posterieur->get('us_post_identification' )?>" />
		<input type="hidden" champs="<?php echo $form_superposition->getElement('anterieur_id')->get('id') ?>" value="<?php echo $us_posterieur->get('anterieur_id' )?>" />
		<input type="hidden" champs="<?php echo $form_superposition->getElement('incertitude')->get('id') ?>" value="<?php echo $us_posterieur->get('incertitude' )?>" />
		<input type="hidden" champs="<?php echo $form_superposition->getElement('sptype_id')->get('id') ?>" value="<?php echo $us_posterieur->get('sptype_id' )?>" />
		<input type="hidden" champs="<?php echo $form_superposition->getElement('duree_min_certain')->get('id') ?>" value="<?php echo $us_posterieur->get('duree_min_certain' )?>" />
		<input type="hidden" champs="<?php echo $form_superposition->getElement('duree_max_certain')->get('id') ?>" value="<?php echo $us_posterieur->get('duree_max_certain' )?>" />
		<input type="hidden" champs="<?php echo $form_superposition->getElement('duree_min_estim')->get('id') ?>" value="<?php echo $us_posterieur->get('duree_min_estim' )?>" />
		<input type="hidden" champs="<?php echo $form_superposition->getElement('duree_max_estim')->get('id') ?>" value="<?php echo $us_posterieur->get('duree_max_estim' )?>" />
		<input type="hidden" champs="<?php echo $form_superposition->getElement('observation')->get('id') ?>" value="<?php echo $us_posterieur->get('observation' )?>" />
	</tr>
	<?php endforeach; ?>
	</tbody>
</table>